### Method

# Shumate VectorValue equal

since: 1.6

#### Declaration [src]

    gboolean
    shumate_vector_value_equal (
      ShumateVectorValue* a,
      ShumateVectorValue* b
    )

#### Description [src]

Compares two `ShumateVectorValue`s for equality.

Either argument may be `NULL`, which is treated as equal to a `ShumateVectorValue` of type `SHUMATE_VECTOR_VALUE_TYPE_NULL`.

Available since: 1.6

#### Parameters

`a`

  Type: `ShumateVectorValue`

  A `ShumateVectorValue`.

  The argument can be `NULL`.

`b`

  Type: `ShumateVectorValue`

  A `ShumateVectorValue`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `a` and `b` are equal, `FALSE` otherwise.